Subject: Re: [netlmm] Re: Ticket #166: Host Multi-Homing

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 8 Aug 2007 13:20:36 -0700 (PDT)

Hi Julien,
  Do MNs and MAG have to conform to dnav6? Is it must implement or must use dnav6?
  The base draft only talks about possibility of having some dnav6-enabled MNs in the netlmm domain. 
  PMIPv6 is expected to be deployable immediately and because of this I suggest leaving this issue also to the extensions.
  I am hoping that you would agree.

Regards,

--behcet

----- Original Message ----
From: Julien Laganier <[email-masked]>
To: Suresh Krishnan <[email-masked]>
Cc: Christian Vogt <[email-masked]>; [email-masked]; Marco Liebsch <[email-masked]>; Hesham Soliman <[email-masked]>
Sent: Wednesday, August 8, 2007 10:01:49 AM
Subject: Re: [netlmm] Re: Ticket #166: Host Multi-Homing

On Wednesday 08 August 2007, Suresh Krishnan wrote:
> Hi Julien,

Hi Suresh,

>    Mostly agree with you except for one thing.

Right, see below:

> Julien Laganier wrote:
> >> As mentioned by Suresh during the NETLMM session
> >> in Chicago, it may not be sufficient to simply
> >> set the home prefix lifetime to zero in Router
> >> Advertisement messages.  The mobile node may in
> >> such a case simply ignore the sudden lifetime
> >> change for DoS protection.
> >
> > Yes, it is true that it would not work when the RA
> > is authenticated.

FWIW, what I meant here was that "it would not work 
when the RA is NOT authenticated." (but I think you 
understood what I meant :)

> > But when SEND is used, sending an RA containing a
> > PIO with zero lifetime would cause the MN to stop
> > using that address. (Hey, finally one good reason
> > to use SEND :-P )
>
> Not always. This depends on the RemainingLifetime.
> If the RemainingLifetime is less than 2 hrs, yes.
> Otherwise, no.

Ah, you're right, I read too quickly into 2462bis. 
Thanks for catching this!

So for the MN to unconfigure an address upon reception 
of a SEND-protected RA with a zero-lifetime PIO, we 
also have to mandate that all RAs send by MAG contains 
PIO with valid lifetime of at most 2 hours. Right?

--julien

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm